| home | about me | feed RSS feed

In recent versions of the GAE SDK—version 1.4.0 and greater, I think—I receive the following traceback upon running dev_appserver.py.

Traceback (most recent call last):
  File "/home/adam/gae/google_appengine/google/appengine/tools/dev_appserver.py", line 3234, in _HandleRequest
    env_dict['SDK_VERSION'] = version['release']
TypeError: 'NoneType' object is unsubscriptable

This is a documented issue.

There are some ways around this issue, but the one I chose to follow is to remove the python-protobuf package as recommended in a thread in the Google Group discussion forum.

So after executing the command sudo aptitude remove python-protobuf I was able to run dev_appserver.py without issue.

created: 2011-02-14 | updated: 2011-02-14


Comments are now closed for this post.